OpenRTM-aist C++ 1.1.2-RELEASE

cpp_logo.png

Packages

Windows installer

For 32bit

Windows installer
(OpenRTM-aist for C++, Python, Java,
and OpenRTP, RTShell(4.1.0) are included)
(Visual Studio 2008, 2010, 2012, 2013, 2015 are supported)
OpenRTM-aist-1.1.2-RELEASE_x86.msi
MD5:d7bc03556e6b643a7e6102ab08fe9ff6
2016/05/27
Python-2.7 python-2.7.10.msi python.org
PyYAML PyYAML-3.11.win32-py2.7.exe pyyaml.org
CMake cmake-3.5.2-win32-x86.msi cmake
Doxygen doxygen-1.8.11-setup.exe doxygen
  • * Currently Python 2.7.10 is recommended. 2.7.11 might need to set PYTHONPATH environment variables.
  • * Old rtshell must be removed before installing rtshell from this installer.

For 64bit

Visual Studio 64bit用
Windows installer
(OpenRTM-aist for C++, Python, Java,
and OpenRTP, RTShell(4.1.0) are included)
(VVisual Studio 2008, 2010, 2012, 2013, 2015 are supported)
OpenRTM-aist-1.1.2-RELEASE_x86_64.msi
MD5:dd182bd4daa31c2c26066a56cf5fed59
2016/05/27
Python-2.7 python-2.7.10.amd64.msi python.org
PyYAML PyYAML-3.11.win-amd64-py2.7.exe pyyaml.org
CMake cmake-3.5.2-win32-x86.msi cmake
Doxygen doxygen-1.8.11-setup.exe doxygen
  • * Currently Python 2.7.10 is recommended. 2.7.11 might need to set PYTHONPATH environment variables.
  • * Old rtshell must be removed before installing rtshell from this installer.

How to set Visual Studio version

Modify system environment variable RTM_VC_VERSION according to Visual Studio version used in your system.

Visual Studio version RTM_VC_VERSION value
2008 vc9 Only 32bit version supported
2010 vc10
2012 vc11
2013 vc12 default setting
2015 vc14

How to use old version runtime of C++

Old version runtime libraries are installed version-name folder (such as 1.0.0(only 32bit), 1.1.0, 1.1.1 folders) under OpenRTM-aist Program folder, . Set target search path to PATH environment variable by using RTM_BASE environment variable.

ex) vc12 run-time libraries for version 1.1.1 are located under RTM_BASE1.1.1\vc12\bin.


Linux package

Currently pre-build packages are provided for the following distribution and versions. Installing OpenRTM-aist is just run the following installation script.

Distribution / version Installation script
Ubuntu 12.04 (precise) i386/amd64
Ubuntu 14.04 (trusty) i386/amd64
Ubuntu 15.10 (wily) i386/amd64
Ubuntu 16.04 (xenial) i386/amd64
pkg_install_ubuntu.sh
Debian 7.0 (wheezy) i386/amd64
Debian 8.0 (jessie) i386/amd64
pkg_install_debian.sh

1.1.1-RELEASE can be updated, if you already installed it.

For Ubuntu / Debian

 $ sudo apt-get update
 $ sudo apt-get upgrade

For Fedora

 # dnf update

Source code

C++ source code OpenRTM-aist-1.1.2.tar.bz2
MD5:c270ad187f26e473bf274e8d589fcd8f
2016.05.27
C++ source code OpenRTM-aist-1.1.2.tar.gz
MD5:e09d05bb93bef22657d133cff20255a4
2016.05.27
C++ source for Windows OpenRTM-aist-1.1.2-win32.zip
MD5:ade9f4e555d76ca6c29bdd67dd64d42b
2016.05.27

Build from sourcecode

ソースからビルドする方法については、ソースからのビルド(Windows編) または ソースからのビルド(Linux編) をご覧くだい。

deb/rpmパッケージ作成

1.1から上記の ソースコード からのUbuntu, Debian 用debパッケージ、Fedora, Vine用 rpmパッケージの作成が正式にサポートされました。
以下の手順でパッケージを作成することができます。パッケージ作成に当たっては、一括インストールスクリプト(pkg_install_***.sh)を利用して必要なパッケージを予めインストールしておいてください。

 $ tar xvzf OpenRTM-aist-1.1.2-RELEASE.tar.gz
 $ cd OpenRTM-aist-1.1.2
 $ ./configure --prefix=/usr
 $ cd packages
 $ make

パッケージはpacakgesディレクトリ内に作成されます。

※ UbuntuやDebianにてdebパッケージを作成する場合は "dpkg-dev build-essential debhelper devscripts"、Fedoraにてrpmパッケージを作成する場合は "rpm-build createrepo" といったツールを予めインストールしておく必要があります。


リリースノート: 1.1.2-RELEASE

OpenRTM-aist Official Website からソースコード、Windowsインストーラ、Linux用パッケージ等が LGPL ライセンスもしくは産総研との個別契約のうち一つから選択するデュアルライセンス方式で利用可能です。

機能に関する変更

    • 雑多なバグフィックス

ポータビリティに関する変更

    • 64bitLinunxへの雑多な対応
    • 64bitWindowsへの対応
    • VC2015(32bit/64bit)の正式サポート

拡張機能に関する変更

ユーザビリティに関する変更

    • Windowsインストーラをアーキテクチャ別の2種類にまとめる
      • 1つのインストーラで複数のVisual Studioバージョンに対応
      • C++版、Python版、Java版、RTShellも同時にインストール可能
    • WindowsインストーラでomniORBを4.2.1に更新
    • WindowsインストーラでOpenCVを2.4.11に更新し、IntelTBBで再コンパイル

対応 (ビルド検証済) OS

      • Debian 7.0 i386, x86_64
      • Debian 8.0 i386, x86_64
      • Ubuntu 12.04 i386, x86_64
      • Ubuntu 14.04 i386, x86_64
      • Ubuntu 15.10 i386, x86_64
      • Ubuntu 16.04 i386, x86_64
      • Windows-7 (32/64bit)
      • Windows-8.1 (32/64bit)

latest Releases

For Begginers

Windows msi(installer) package (only trying samples)

Development environment is required for RT-Component development. See download page for details.

Number of Projects

OpenHRP3

Dynamics simulator

OpenHRI

Human-Robot-Interaction RTCs

OpenRTP

Integrated Development Platform

OpenINVENT

Mobile Robot RTCs

Join our slack

Enter email address for slack invite.